E-MailRelay

Public Member Functions | List of all members
G::CallFrame Class Reference

An object to represent a nested execution context. More...

`#include <gcall.h>`

## Public Member Functions
| CallFrame (CallStack &) noexcept
| Constructor. More...
| ~CallFrame () noexcept
| Destructor. More...
void | invalidate () noexcept
| Invalidates the call-frame. More...
bool | valid () const noexcept
| Returns true if not invalidate()d. More...
bool | deleted () const noexcept
| Returns !valid(). More...
CallFrame * | outer () noexcept
| Returns the next frame in the stack going from innermost to outermost. More...
| CallFrame (const CallFrame &)=delete
| CallFrame (CallFrame &&)=delete
void | operator= (const CallFrame &)=delete
void | operator= (CallFrame &&)=delete

## Detailed Description

An object to represent a nested execution context.

See also
  G::CallStack

Definition at line 86 of file gcall.h.

## Constructor & Destructor Documentation

## ◆ CallFrame()

G::CallFrame::CallFrame | ( | CallStack & | stack | ) |
| inline explicit noexcept

Constructor.

The newly constructed call frame becomes the innermost frame in the stack.

Definition at line 152 of file gcall.h.

## ◆ ~CallFrame()

G::CallFrame::~CallFrame | ( |  | ) |
| inline noexcept

Destructor.

Definition at line 160 of file gcall.h.

## Member Function Documentation

## ◆ deleted()

bool G::CallFrame::deleted | ( |  | ) | const
| inline noexcept

Returns !valid().

Definition at line 179 of file gcall.h.

## ◆ invalidate()

void G::CallFrame::invalidate | ( |  | ) |
| inline noexcept

Invalidates the call-frame.

Definition at line 167 of file gcall.h.

## ◆ outer()

G::CallFrame * G::CallFrame::outer | ( |  | ) |
| inline noexcept

Returns the next frame in the stack going from innermost to outermost.

Definition at line 185 of file gcall.h.

## ◆ valid()

bool G::CallFrame::valid | ( |  | ) | const
| inline noexcept

Returns true if not invalidate()d.

This is safe to call even if the call stack has been destructed.

Definition at line 173 of file gcall.h.

The documentation for this class was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gcall.h